#!/bin/sh

# Use udev environment variable DEVPATH to find the USB ID of the matching
# device and unbind that from the ftdi_sio driver.
# (The ID needed is of the form "2-2:1.2")

BOUND_DEVICES=/sys/bus/usb/drivers/ftdi_sio/*/
for DEVICE in ${BOUND_DEVICES}; do
    USBID=$(basename $DEVICE)
    if [ -e /sys${DEVPATH}/$USBID ]
    then
        echo "$USBID" >/sys/bus/usb/drivers/ftdi_sio/unbind
        break
    fi
done
